/api/v1/connections/{id}/send-message
const url = 'https://api.endless.zaia.app/api/v1/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send-message';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"content":{"text":"example"},"externalId":"example","identifier":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send-message \ --header 'Content-Type: application/json' \ --data '{ "content": { "text": "example" }, "externalId": "example", "identifier": "example" }'Sends a message through a connection.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
object
object
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
A base64 encoded string with prefix.
A UUID v4 string that identifies an entity.
object
object
object
object
object
object
object
object
Responses
Seção intitulada “Responses”Message sent successfully.
object
An informative message for a call that has no effective result to be returned.
Examplegenerated
{ "message": "example"}Connection not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Failed to send message.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}